For AI agents: A markdown version of this page is available at https://docs.datadoghq.com/api/latest/app-builder/get-blueprints-by-integration-id.md. A documentation index is available at /llms.txt.
This product is not supported for your selected Datadog site. ().

Get Blueprints by Integration ID

GET https://api.ap1.datadoghq.com/api/v2/app-builder/blueprints/integration-id/{integration_id}https://api.ap2.datadoghq.com/api/v2/app-builder/blueprints/integration-id/{integration_id}https://api.datadoghq.eu/api/v2/app-builder/blueprints/integration-id/{integration_id}https://api.ddog-gov.com/api/v2/app-builder/blueprints/integration-id/{integration_id}https://api.us2.ddog-gov.com/api/v2/app-builder/blueprints/integration-id/{integration_id}https://api.uk1.datadoghq.com/api/v2/app-builder/blueprints/integration-id/{integration_id}https://api.datadoghq.com/api/v2/app-builder/blueprints/integration-id/{integration_id}https://api.us3.datadoghq.com/api/v2/app-builder/blueprints/integration-id/{integration_id}https://api.us5.datadoghq.com/api/v2/app-builder/blueprints/integration-id/{integration_id}

Overview

List app blueprints associated with a specific integration ID. This endpoint requires any of the following permissions:

  • apps_run
  • apps_write
  • connections_read
  • connections_write

  • Arguments

    Path Parameters

    Name

    Type

    Description

    integration_id [required]

    string

    The integration ID to filter blueprints by.

    Response

    OK

    The response for retrieving multiple blueprints.

    Expand All

    Field

    Type

    Description

    data

    [object]

    An array of blueprints.

    attributes [required]

    object

    The attributes of a blueprint resource.

    created_at [required]

    date-time

    The timestamp when the blueprint was created.

    definition [required]

    enum

    The app definition type. Allowed enum values: appDefinitions

    default: appDefinitions

    description [required]

    string

    A description of what the blueprint does.

    embedded_datastore_blueprints

    object

    Embedded datastore blueprints.

    embedded_native_actions

    [object]

    Embedded native actions.

    embedded_workflow_blueprints

    object

    Embedded workflow blueprints.

    integration_id

    string

    The integration ID associated with the blueprint.

    mocked_outputs

    object

    Mocked outputs for testing the blueprint.

    name [required]

    string

    The human-readable name of the blueprint.

    slug [required]

    string

    The unique slug identifier of the blueprint.

    tags

    [string]

    Tags associated with the blueprint.

    tile_background

    string

    The background style of the blueprint tile.

    tile_icon_action_fqn

    string

    The fully qualified name of the action used as the tile icon.

    updated_at [required]

    date-time

    The timestamp when the blueprint was last updated.

    id [required]

    uuid

    The ID of the blueprint.

    type [required]

    enum

    The resource type for a blueprint. Allowed enum values: blueprint

    {
      "data": [
        {
          "attributes": {
            "created_at": "",
            "definition": "appDefinitions",
            "description": "",
            "embedded_datastore_blueprints": {},
            "embedded_native_actions": [],
            "embedded_workflow_blueprints": {},
            "integration_id": "string",
            "mocked_outputs": {},
            "name": "AWS Service Manager",
            "slug": "aws-service-manager",
            "tags": [],
            "tile_background": "string",
            "tile_icon_action_fqn": "string",
            "updated_at": ""
          },
          "id": "65bb1f25-52e1-4510-9f8d-22d1516ed693",
          "type": "blueprint"
        }
      ]
    }

    Forbidden

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Path parameters
    export integration_id="aws"
    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/app-builder/blueprints/integration-id/${integration_id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
    """
    Get Blueprints by Integration ID returns "OK" response
    """
    
    from datadog_api_client import ApiClient, Configuration
    from datadog_api_client.v2.api.app_builder_api import AppBuilderApi
    
    configuration = Configuration()
    with ApiClient(configuration) as api_client:
        api_instance = AppBuilderApi(api_client)
        response = api_instance.get_blueprints_by_integration_id(
            integration_id="aws",
        )
    
        print(response)
    

    Instructions

    First install the library and its dependencies and then save the example to example.py and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
    # Get Blueprints by Integration ID returns "OK" response
    
    require "datadog_api_client"
    api_instance = DatadogAPIClient::V2::AppBuilderAPI.new
    p api_instance.get_blueprints_by_integration_id("aws")
    

    Instructions

    First install the library and its dependencies and then save the example to example.rb and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
    // Get Blueprints by Integration ID returns "OK" response
    
    package main
    
    import (
    	"context"
    	"encoding/json"
    	"fmt"
    	"os"
    
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
    )
    
    func main() {
    	ctx := datadog.NewDefaultContext(context.Background())
    	configuration := datadog.NewConfiguration()
    	apiClient := datadog.NewAPIClient(configuration)
    	api := datadogV2.NewAppBuilderApi(apiClient)
    	resp, r, err := api.GetBlueprintsByIntegrationId(ctx, "aws")
    
    	if err != nil {
    		fmt.Fprintf(os.Stderr, "Error when calling `AppBuilderApi.GetBlueprintsByIntegrationId`: %v\n", err)
    		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    	}
    
    	responseContent, _ := json.MarshalIndent(resp, "", "  ")
    	fmt.Fprintf(os.Stdout, "Response from `AppBuilderApi.GetBlueprintsByIntegrationId`:\n%s\n", responseContent)
    }
    

    Instructions

    First install the library and its dependencies and then save the example to main.go and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
    // Get Blueprints by Integration ID returns "OK" response
    
    import com.datadog.api.client.ApiClient;
    import com.datadog.api.client.ApiException;
    import com.datadog.api.client.v2.api.AppBuilderApi;
    import com.datadog.api.client.v2.model.GetBlueprintsResponse;
    
    public class Example {
      public static void main(String[] args) {
        ApiClient defaultClient = ApiClient.getDefaultApiClient();
        AppBuilderApi apiInstance = new AppBuilderApi(defaultClient);
    
        try {
          GetBlueprintsResponse result = apiInstance.getBlueprintsByIntegrationId("aws");
          System.out.println(result);
        } catch (ApiException e) {
          System.err.println("Exception when calling AppBuilderApi#getBlueprintsByIntegrationId");
          System.err.println("Status code: " + e.getCode());
          System.err.println("Reason: " + e.getResponseBody());
          System.err.println("Response headers: " + e.getResponseHeaders());
          e.printStackTrace();
        }
      }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to Example.java and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
    // Get Blueprints by Integration ID returns "OK" response
    use datadog_api_client::datadog;
    use datadog_api_client::datadogV2::api_app_builder::AppBuilderAPI;
    
    #[tokio::main]
    async fn main() {
        let configuration = datadog::Configuration::new();
        let api = AppBuilderAPI::with_config(configuration);
        let resp = api
            .get_blueprints_by_integration_id("aws".to_string())
            .await;
        if let Ok(value) = resp {
            println!("{:#?}", value);
        } else {
            println!("{:#?}", resp.unwrap_err());
        }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to src/main.rs and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
    /**
     * Get Blueprints by Integration ID returns "OK" response
     */
    
    import { client, v2 } from "@datadog/datadog-api-client";
    
    const configuration = client.createConfiguration();
    const apiInstance = new v2.AppBuilderApi(configuration);
    
    const params: v2.AppBuilderApiGetBlueprintsByIntegrationIdRequest = {
      integrationId: "aws",
    };
    
    apiInstance
      .getBlueprintsByIntegrationId(params)
      .then((data: v2.GetBlueprintsResponse) => {
        console.log(
          "API called successfully. Returned data: " + JSON.stringify(data)
        );
      })
      .catch((error: any) => console.error(error));
    

    Instructions

    First install the library and its dependencies and then save the example to example.ts and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"